    001/* ===========================================================
    002 * Orson Charts : a 3D chart library for the Java(tm) platform
    003 * ===========================================================
    004 *
    005 * (C)opyright 2013-2022, by David Gilbert.  All rights reserved.
    006 *
    007 * https://github.com/jfree/orson-charts
    008 *
    009 * This program is free software: you can redistribute it and/or modify
    010 * it under the terms of the GNU General Public License as published by
    011 * the Free Software Foundation, either version 3 of the License, or
    012 * (at your option) any later version.
    013 *
    014 * This program is distributed in the hope that it will be useful,
    015 * but WITHOUT ANY WARRANTY; without even the implied warranty of
    016 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    017 * GNU General Public License for more details.
    018 *
    019 * You should have received a copy of the GNU General Public License
    020 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
    021 *
    022 * [Oracle and Java are registered trademarks of Oracle and/or its affiliates.
    023 * Other names may be trademarks of their respective owners.]
    024 *
    025 * If you do not wish to be bound by the terms of the GPL, an alternative
    026 * commercial license can be purchased.  For details, please see visit the
    027 * Orson Charts home page:
    028 *
    029 * http://www.object-refinery.com/orsoncharts/index.html
    030 *
    031 */
    032
    033package org.jfree.chart3d;
    034
    035import java.util.Locale;
    036import java.util.ResourceBundle;
    037import org.jfree.chart3d.internal.Args;
    038
    039/**
    040 * Provides centralised access to localised resources.
    041 *
    042 * @since 1.2
    043 */
    044public class Resources {
    045
    046    /** The locale for the resources. */
    047    private static Locale locale = Locale.getDefault();
    048
    049    /** Localised resources. */
    050    private static ResourceBundle resources = ResourceBundle.getBundle(
    051            "org.jfree.chart3d.Resources", Locale.getDefault());
    052
    053    /**
    054     * Returns the locale that is being used for supplying resources.  The
    055     * default value is {@code Locale.getDefault()}.
    056     *
    057     * @return The locale (never {@code null}).
    058     */
    059    public static Locale getLocale() {
    060        return locale;
    061    }
    062
    063    /**
    064     * Sets the locale to use for supplying resources.
    065     *
    066     * @param l  the locale ({@code null} not permitted).
    067     */
    068    public static void setLocale(Locale l) {
    069        Args.nullNotPermitted(l, "l");
    070        locale = l;
    071        resources = ResourceBundle.getBundle("org.jfree.chart3d.Resources",
    072                locale);
    073    }
    074
    075    /**
    076     * Returns a localised string.
    077     *
    078     * @param key  the key ({@code null} not permitted).
    079     *
    080     * @return A localised string.
    081     */
    082    public static String localString(String key) {
    083        return resources.getString(key);
    084    }
    085
    086}